#!/bin/python3

import matplotlib.pyplot as plt
import numpy as np
from pandas import Series

from toargridding.grids import RegularGrid
from toargridding.metadata import Coordinates
from toargridding.variables import Coordinate

lon = Coordinate.from_resolution(Coordinates.longitude, 1, -180, 180, True)


lat = Coordinate.from_resolution(Coordinates.latitude, 1.9, -90, 90, False)

testGrid = RegularGrid(lat_resolution=1.9, lon_resolution=2.5)

testData = [x + 0.1 for x in np.arange(-180, 181, 0.5)]
testBins = testGrid.coord_to_index(Series(testData), lon.min, lon.step, len(lon.data))

for _val, _bin in zip(testData, testBins, strict=False):
    pass


plt.plot(testData, testBins)
plt.show()
