# script to test the cache for the rest client.


from pathlib import Path

from toargridding.toar_rest_client import Cache


def test_cache():
    myTestCache = Cache(cache_dir=Path("cache"), fn="testingOfCache")

    myTestCache.put(key="test key 1", content="test content 1")
    myTestCache.put(key="test key 2", content="test content 1")

    assert "test key 1" in myTestCache
    assert "test key 2" in myTestCache
    assert myTestCache.get("test key 1") == "test content 1"
    myTestCache.clear_cache()
    assert "test key 2" in myTestCache

    # edit creation date of key 2:
    with myTestCache.storage_dict() as storage:
        storage["test key 2"] = ["other test content 2", "20240511-09:33"]

    assert "test key 2" in myTestCache
    assert myTestCache.get("test key 2") == "other test content 2"
    myTestCache.clear_cache()
    assert "test key 2" not in myTestCache
