
"""! the following test was created with the github copilot.

As this test is an experiment, please do not trust it... or trust it more than other tests :-D
"""

from unittest import mock
import pytest
import json
from toargridding.setupFunctions import updateTOARVariables

@mock.patch("toargridding.setupFunctions.requests.get")
@mock.patch("toargridding.setupFunctions.json.dump")
def test_updateTOARVariables(mock_json_dump, mock_requests_get):
    # Arrange
    mock_response = mock.Mock()
    mock_response.json.return_value = {"test": "data"}
    mock_requests_get.return_value = mock_response

    # Act
    updateTOARVariables()

    # Assert
    mock_requests_get.assert_called_once_with("https://toar-data.fz-juelich.de/api/v2/variables/?limit=None")
    mock_json_dump.assert_called_once_with({"test": "data"}, mock.ANY, indent=2)

@mock.patch("toargridding.setupFunctions.requests.get")
def test_updateTOARVariables_api_failure(mock_requests_get):
    # Arrange
    mock_response = mock.Mock()
    mock_response.raise_for_status.side_effect = Exception("API request failed")
    mock_requests_get.return_value = mock_response

    # Act & Assert
    with pytest.raises(Exception) as e:
        updateTOARVariables()
    assert str(e.value) == "API request failed"